// gnome.xonotic.in.ua

textures/base_floor/pool_floor3
{
	qer_editorimage textures/base_wall/patch10rusty5.tga
	{
		map textures/liquids/pool3d_5e.tga
		tcmod scale -.25 -.25
		tcmod scroll .025 .025
		rgbgen wave sin .75 0 0 0
	}
	{
		map textures/liquids/pool3d_6e.tga
		blendfunc gl_one gl_one
		tcmod scale .25 .25
		tcmod scroll .025 .025
		rgbgen wave sin .75 0 0 0
	}
	{
		map textures/base_wall/patch10rusty5.tga
		blendfunc gl_one gl_src_color
		rgbgen identity
	}
	{
		rgbgen identity
		map $lightmap
		blendfunc gl_dst_color gl_zero
	}
}

textures/base_floor/proto_grate
{
	surfaceparm metalsteps
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/base_floor/proto_grate.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_floor/proto_grate4
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/base_floor/proto_grate4.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/border11light
{
	q3map_surfacelight 500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/border11light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/border11light.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_22a_trans
{
	qer_editorimage textures/base_light/ceil1_22a.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_30_trans
{
	qer_editorimage textures/base_light/ceil1_30.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_38_50k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 50000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/lt2_8000
{
	qer_editorimage textures/base_light/light2.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 8000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light2.blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/base_light/proto_lightred2
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	qer_editorimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc add
		rgbgen wave square .5 .5 0 1
	}
}

textures/base_light/trianglelight
{
	q3map_lightimage textures/base_light/trianglelight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	{
		map textures/base_light/trianglelight.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/trianglelight.blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth .6 .1 0 7
	}
}

textures/base_object/boxq3_3
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_object/boxq3_3.tga
		rgbgen identity
		alphagen lightingspecular
		blendfunc gl_dst_color gl_src_alpha
	}
}

textures/base_object/boxq3_4
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_object/boxq3_4.tga
		rgbgen identity
		alphagen lightingspecular
		blendfunc gl_dst_color gl_src_alpha
	}
}

textures/base_support/support1shiny
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/base_support/support1shiny.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_support/x_support3
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_support/x_support3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_trim/electricwall
{
	qer_editorimage textures/organics/wire02a_f.tga
	light 1
	q3map_surfacelight 400
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/organics/wire02a_f.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/organics/wire02a_f.tga
		blendfunc gl_one gl_one
	}
	{
		map textures/sfx/electric2.blend.tga
		rgbgen wave sin 0.6 1 0 2
		tcmod scroll 0.53 0.43
		blendfunc gl_one gl_one
	}
}

textures/base_trim/panelbrn010w
{
	q3map_lightimage textures/base_trim/panelbrn010wfx.tga
	{
		map textures/base_trim/panelbrn010w.tga
	}
	{
		map textures/sfx/hologirl2.tga
		tcmod scale .4 .4
		tcmod scroll 6 2
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/base_trim/panelbrn010w.tga
		blendfunc blend
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/base_trim/panel_shiny
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/base_trim/panel_shiny.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/spiderbit
{
	q3map_lightimage textures/base_trim/spiderbit_fx.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_trim/spiderbit.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_trim/spiderbit_fx.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle .1 .5 0 7
	}
}

textures/base_trim/spidertrim4
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/base_trim/spidertrim4.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/tin
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/base_trim/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/basewall01_ow
{
	q3map_lightimage textures/base_wall/basewall01_owfx.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_wall/basewall01_ow.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_wall/basewall01_owfx.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 0.5 0 .5
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm donotenter
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/ctctf1/border11c_blue
{
	q3map_surfacelight 300
	q3map_lightimage textures/ctctf1/border11c_pulse1b_f_blue.tga
	qer_editorimage textures/ctctf1/border11c_pulse1b_f_blue_edit.tga
	{
		map textures/base_trim/border11c.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/base_trim/border11c_light.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .1 0 5
	}
	{
		map textures/ctctf1/border11c_pulse1b_f_blue.tga
		blendfunc gl_one gl_one
		tcmod scale .035 1
		tcmod scroll -0.65 0
	}
}

textures/ctctf1/border11c_red
{
	q3map_surfacelight 300
	q3map_lightimage textures/ctctf1/border11c_pulse1b_f_red.tga
	qer_editorimage textures/ctctf1/border11c_pulse1b_f_red_edit.tga
	{
		map textures/base_trim/border11c.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/base_trim/border11c_light.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .1 0 5
	}
	{
		map textures/ctctf1/border11c_pulse1b_f_red.tga
		blendfunc gl_one gl_one
		tcmod scale .035 1
		tcmod scroll -0.65 0
	}
}

textures/ctctf1/bouncepad01_diamond2c_blue
{
	qer_editorimage textures/ctctf1/bouncepad01_diamond2c_blue.tga
	surfaceparm nodamage
	q3map_lightimage textures/ctctf1/jumppadsmall_blue.tga
	q3map_surfacelight 500
	{
		map textures/ctctf1/bouncepad01_diamond2c_blue.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ctctf1/bouncepad01b_layer1_blue.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/ctctf1/jumppadsmall_blue.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/ctctf1/bouncepad01_diamond2c_red
{
	qer_editorimage textures/ctctf1/bouncepad01_diamond2c_red.tga
	surfaceparm nodamage
	q3map_lightimage textures/ctctf1/jumppadsmall_red.tga
	q3map_surfacelight 500
	{
		map textures/ctctf1/bouncepad01_diamond2c_red.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ctctf1/bouncepad01b_layer1_red.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/ctctf1/jumppadsmall_red.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/ctctf1/main_ctctfbanner_blue
{
	qer_editorimage textures/ctctf1/main_ctctfbanner_blue.tga
	q3map_lightimage textures/ctctf1/main_ctctfbanner_blue.tga
	q3map_surfacelight 100
	{
		map textures/ctctf1/main_ctctfbanner_blue.tga
		rgbgen wave square 0 1 0 .5
	}
	{
		map textures/ctctf1/comp3text_blue.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbgen wave sin .25 0 0 0
		blendfunc add
	}
}

textures/ctctf1/main_ctctfbanner_red
{
	qer_editorimage textures/ctctf1/main_ctctfbanner_red.tga
	q3map_lightimage textures/ctctf1/main_ctctfbanner_red.tga
	q3map_surfacelight 100
	{
		map textures/ctctf1/main_ctctfbanner_red.tga
		rgbgen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbgen wave sin .25 0 0 0
		blendfunc add
	}
}

textures/ctctf1/pj_dm10sky_green
{
	q3map_lightimage textures/common/white.tga
	q3map_lightsubdivide 512
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .5 .7 .7 80 210 55
	q3map_surfacelight 80
	qer_editorimage textures/ctctf1/greendimclouds.tga
	skyparms - 512 -
	{
		map textures/ctctf1/greendimclouds.tga
		tcmod scale 3 2
		tcmod scroll 0.15 0.15
		depthwrite
	}
	{
		map textures/ctctf1/bluerdimclouds.tga
		tcmod scale 3 2
		tcmod scroll 0.1 0.1
		blendfunc add
	}
	{
		map textures/skies/topclouds.tga
		blendfunc gl_one gl_one
		tcmod scale 3 3
		tcmod scroll 0.05 0.05
	}
}

textures/ctctf1/slime1_blue__750
{
	qer_editorimage textures/ctctf1/slime7_blue.tga
	q3map_lightimage textures/ctctf1/slime7_blue.tga
	q3map_globaltexture
	qer_trans .5
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 750
	tesssize 32
	cull disable
	deformvertexes wave 100 sin 0 1 .5 .5
	{
		map textures/ctctf1/slime7c_blue.tga
		tcmod turb .3 .2 1 .05
		tcmod scroll .01 .01
	}
	{
		map textures/ctctf1/slime7_blue.tga
		blendfunc gl_one gl_one
		tcmod turb .2 .1 1 .05
		tcmod scale .5 .5
		tcmod scroll .01 .01
	}
	{
		map textures/liquids/bubbles.tga
		blendfunc gl_zero gl_src_color
		tcmod turb .2 .1 .1 .2
		tcmod scale .05 .05
		tcmod scroll .001 .001
	}
}

textures/ctctf1/spawn_floor2c_blue
{
	qer_editorimage textures/ctctf1/spawn_floor2c_blue_edit.tga
	q3map_lightimage textures/ctctf1/proto_zzztblu2_big.tga
	q3map_surfacelight 500
	surfaceparm metalsteps
	{
		map textures/ctctf1/proto_zzztblu2_big.tga
		tcmod scroll 0 1
		tcmod turb 0 .125 0 0.8
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		clampmap textures/ctctf1/blocks18cgeomtrn2_blue.tga
		blendfunc blend
		tcmod rotate 130
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		clampmap textures/ctctf1/blocks18cgeomtrn2_blue.tga
		blendfunc blend
		tcmod rotate 80
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		clampmap textures/ctctf1/spawn_floor2c_blue.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ctctf1/spawn_floor2c_red
{
	qer_editorimage textures/ctctf1/spawn_floor2c_red_edit.tga
	q3map_lightimage textures/ctctf1/proto_zzztred_big.tga
	q3map_surfacelight 500
	surfaceparm metalsteps
	{
		map textures/ctctf1/proto_zzztred_big.tga
		tcmod scroll 0 1
		tcmod turb 0 .125 0 0.8
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		clampmap textures/ctctf1/blocks18cgeomtrn2_red.tga
		blendfunc blend
		tcmod rotate 130
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		clampmap textures/ctctf1/blocks18cgeomtrn2_red.tga
		blendfunc blend
		tcmod rotate 80
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		clampmap textures/ctctf1/spawn_floor2c_red.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ctctf1/support1shiny_metal
{
	qer_editorimage textures/base_support/support1shiny.tga
	surfaceparm metalsteps
	surfaceparm trans
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/base_support/support1shiny.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ctctf1/test2_blue_solid
{
	qer_editorimage textures/ctf/test2.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ctf/test2.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/ctctf1/test2_red_solid
{
	qer_editorimage textures/ctf/test2_r.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ctf/test2_r.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/ctf/blue_telep
{
	cull disable
	surfaceparm nomarks
	surfaceparm trans
	sort additive
	{
		clampmap textures/ctf/blue_telep.tga
		blendfunc add
		tcmod rotate 327
		rgbgen identity
	}
	{
		clampmap textures/ctf/blue_telep2.tga
		blendfunc add
		tcmod rotate -211
		rgbgen identity
	}
	{
		clampmap textures/ctf/telep.tga
		alphafunc ge128
		depthwrite
		tcmod rotate 20
		rgbgen identity
	}
	{
		clampmap textures/ctf/telep.tga
		alphafunc ge128
		depthwrite
		tcmod stretch sin .7 0 0 0
		tcmod rotate -20
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ctf/red_telep
{
	cull disable
	surfaceparm nomarks
	surfaceparm trans
	{
		clampmap textures/ctf/red_telep.tga
		blendfunc add
		tcmod rotate 327
		rgbgen identity
	}
	{
		clampmap textures/ctf/red_telep2.tga
		blendfunc add
		tcmod rotate -211
		rgbgen identity
	}
	{
		clampmap textures/ctf/telep.tga
		alphafunc ge128
		tcmod rotate 20
		rgbgen identity
	}
	{
		clampmap textures/ctf/telep.tga
		alphafunc ge128
		tcmod stretch sin .7 0 0 0
		tcmod rotate -20
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/gothic_floor/metalbridge06brokeb
{
	{
		map textures/sfx/kenelectric.tga
		tcmod scale 2 2
		tcmod turb 0 .2 0 .3
		tcmod scroll 3 5
		rgbgen identity
	}
	{
		map textures/gothic_floor/metalbridge06brokeb.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/liquids/calm_poollight
{
	qer_editorimage textures/liquids/pool3d_4b.tga
	q3map_globaltexture
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	q3map_surfacelight 50
	cull disable
	tesssize 64
	deformvertexes wave 100 sin 1 1 1 .1
	{
		map textures/liquids/pool3d_5c2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6c2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3c2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map textures/liquids/pool3d_4b2.tga
		blendfunc add
		tcmod scale .125 .125
		rgbgen identity
	}
}

textures/liquids/lavahell_750
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 500
	cull disable
	tesssize 128
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}
}

textures/sfx/beam_dusty2
{
	qer_editorimage textures/sfx/beam.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
	{
		map textures/sfx/beam_1.tga
		blendfunc add
	}
}

textures/sfx/pureblack
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map textures/skies/blacksky.tga
	}
}

textures/sfx/xian_dm3padwall
{
	q3map_surfacelight 100
	q3map_lightimage textures/sfx/xian_dm3padwallglow.tga
	qer_editorimage textures/sfx/xian_dm3padwall.tga
	{
		map textures/sfx/xian_dm3padwall.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/xian_dm3padwallglow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
}

